﻿@model DpcManagement.Models.Task;


<div class="page-content-wrapper">
    <!-- BEGIN CONTENT BODY -->
    <div class="page-content">
        <!-- BEGIN PAGE HEADER-->
        <!-- BEGIN PAGE BAR -->
        <div class="page-bar">
            <ul class="page-breadcrumb">
                <li>
                    <a href="#">Task Confirm</a>
                    <i class="fa fa-circle"></i>
                </li>
                <li>
                    <span>View</span>
                </li>
            </ul>
            <div class="page-toolbar">
                <div id="dashboard-report-range" class="pull-right tooltips btn btn-sm"
                     data-container="body" data-placement="bottom"
                     data-original-title="Change dashboard date range">
                    <i class="icon-calendar"></i>&nbsp;
                    <span class="thin uppercase hidden-xs"></span>&nbsp;
                    <i class="fa fa-angle-down"></i>
                </div>
            </div>
        </div>
        <!-- END PAGE BAR -->
        <!-- END PAGE HEADER-->
        <!-- BEGIN row 1-->
        <div class="row">
            <div class="col-md-12">
                <div class="tabbable-line">
                    <div class="tab-content">
                        <div class="tab-pane active" id="tab_1_1">
                            <div class="row">
                                <div class="col-md-10">
                                    <div class="portlet light tasks-widget bordered">
                                        <label><input type="checkbox" id="checkbox" checked="true"><strong style="font-size: 2en">Enabled Create</strong></label>
                                        <label><input type="checkbox" id="drawRect" checked="true" disabled>Draw rectangle bounds</label>
                                        <label><input type="checkbox" id="onlyOne" checked="true" disabled>Only one</label>
                                        <button id="zoomIn">zoom In</button>
                                        <button id="zoomOut">zoom Out</button>
                                        <button id="resetZoom">Reset Zoom</button>
                                        <span id="ImageName" class="caption-helper" style="float:right"></span>

                                        <div class="wrapper" id="canvasBox" style="width:100%;max-height: 700px;overflow: scroll;">
                                            <canvas id="canvas" style="border: 2px solid black"></canvas>
                                        </div>

                                        <div style="padding: 3px;margin: 0;background-color: #f5f5f5;border-top: 1px solid #e7ecf1;">
                                            <div class="row">
                                                <div class="col-md-offset-3 col-md-4">
                                                    <a id="backward" href="javascript:Prev()" class="btn btn-sm yellow">
                                                        <i class="fa fa-step-backward"></i>
                                                        Prev
                                                    </a>
                                                    <a id="forward" href="javascript:Next();" class="btn btn-sm green">
                                                        Next
                                                        <i class="fa fa-step-forward"></i>
                                                    </a>
                                                </div>
                                            </div>
                                        </div>
                                    </div>

                                </div>
                                <div class="col-md-2">
                                    <div class="portlet light tasks-widget bordered" style="max-height:600px;" >
                                        <div id="table-list-image">
                                            <table id="TableImage" class="table table-striped table-bordered table-hover">
                                                <thead>
                                                    <tr>
                                                        <th> ID </th>
                                                        <th> Image Name </th>
                                                        <th> Image Path </th>
                                                    </tr>
                                                </thead>
                                                <tbody>
                                                </tbody>
                                            </table>
                                        </div>
                                        <div class="form-actions right" style="padding-left: 0;padding-right: 20px;text-align: right;padding-top: 15px;">
                                            <button id="btnSubmit" type="submit" class="btn green" onclick="Submit()">Submit</button>
                                        </div>
                                    </div>
                                    <div class="portlet light tasks-widget bordered" style="height:200px;">
                                        <div class="form-group">
                                            <label class="control-label">Note</label>
                                                <textarea id="note" name="note" class="form-control" rows="3"></textarea>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

    </div>
    <!-- END CONTENT BODY -->
</div>

@section Scripts {
    <script type="text/javascript">

        var listTask = @Html.Raw(Json.Serialize(Model));
        var listImage = listTask.imageTask;
        var content = '';
        $.each(listImage, function (i, item) {
            var image = item.image;
            content += '<tr><td>' + image.imageId + '</td><td>' + image.imageName + '</td><td>' + image.imagePath + '</td></tr>';
        });
        $('#table-list-image tbody').html(content);

    </script>
    <script src="~/js/tagging.js" type="text/javascript">

    </script>
}